Name:           ant-antunit
Version:        1.4.1
Release:        1%{?dist}
Summary:        Unit Test Framework for Ant Tasks
License:        ASL 2.0
URL:            https://ant.apache.org/antlibs/antunit
BuildArch:      noarch

Source0:        https://archive.apache.org/dist/ant/antlibs/antunit/source/apache-%{name}-%{version}-src.tar.bz2
Source1:        https://archive.apache.org/dist/ant/antlibs/antunit/source/apache-%{name}-%{version}-src.tar.bz2.asc
Source2:        https://archive.apache.org/dist/ant/KEYS

BuildRequires:  gnupg2
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.ant:ant-testutil)

%description
This library contains tasks that enables Ant task developers to test their tasks
with Ant and without JUnit.  It contains a few assertion tasks and an antunit
task that runs build files instead of test classes and is modelled after the
JUnit task.

%{?javadoc_package}

%prep
%autosetup -n apache-%{name}-%{version}

%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

find -type f '(' -iname '*.jar' -o -iname '*.class' ')' -print -delete

mv %{name}-%{version}.pom pom.xml

%pom_xpath_inject pom:project/pom:build '
<resources>
  <resource>
    <directory>src/main</directory>
    <includes>
      <include>**/antlib.xml</include>
    </includes>
  </resource>
</resources>'

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license common/LICENSE NOTICE

%changelog
* Thu Sep 16 2021 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 1.4.1-1
- Initial package
